@import "../../../styles/mixins";
@import url("https://fonts.googleapis.com/css2?family=Pacifico&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Permanent+Marker&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Supermercado+One&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lora&display=swap");

$desktop-size: 720px;
.container {
}

.headerContainer {
  background: $black;
  .header {
    color: $white;
    padding: 1.5rem;
    padding-bottom: 5rem;
    position: relative;
    @include tablet {
      max-width: $tablet-size;
      margin: auto;
    }
    @include desktop {
      padding-bottom: 1.5rem;
      max-width: $desktop-size;
      margin: auto;
    }

    h1 {
      font-size: 3rem;
      font-weight: 900;
      line-height: 3rem;
      margin-bottom: 0.8em;
    }
    .shareIconsContainer {
      margin: 1.3rem 0rem;
      margin-bottom: rem;
    }
    .readMore {
      background-color: $white;
      position: absolute;
      bottom: 0;
      width: 6rem;
      height: 6rem;
      border-radius: 4rem;
      overflow: hidden;
      left: 50%;
      transform: translateX(-50%) translateY(50%);
      text-decoration: none;
      color: $black;
      text-align: center;
      font-size: 0.6rem;
      @include desktop {
        transform: translateY(75%) translateX(-50%);
      }

      span {
        font-weight: 900;
        font-size: 1.4rem;
        display: inline-block;
        animation-name: arrow;
        animation-duration: 1s;
        animation-iteration-count: infinite;

        @keyframes arrow {
          0% {
            transform: translateY(-3px);
          }
          50% {
            transform: translateY(0px);
          }
          100% {
            transform: translateY(-3px);
          }
        }
      }
    }
  }
}

.imageContainer {
  background: $black;
  margin-bottom: 3rem;
  .imageInnerContainer {
    @include tablet {
      max-width: $tablet-size;
      margin: auto;
    }
    @include desktop {
      padding: 1.5rem;
      max-width: $desktop-size;
      margin: auto;
    }
  }
}

.sectionContainer {
  background: $white;
  padding: 1.5rem;
  @include tablet {
    max-width: $tablet-size;
    margin: auto;
  }
  @include desktop {
    max-width: $desktop-size;
    margin: auto;
  }
  h1 {
    font-size: 3rem;
    font-weight: 800;
    line-height: 2rem;
    margin-bottom: 1.5rem;
  }
  h2 {
    font-size: 1.7rem;
    line-height: 2rem;
    font-weight: 800;
    margin-top: 2rem;
  }
  .link {
    font-size: 0.8rem;
    color: $secondary-color;
    margin-bottom: 1rem;
  }
  p {
    color: rgb(0, 0, 0);
    font-size: 1.16rem;
    font-family: "Lora", serif;
    line-height: 1.8rem;
    margin-bottom: 3rem;
  }
  a {
    cursor: pointer;
    text-decoration: underline;
    font-weight: 500;
    color: $black;
  }
}
